#
# spec file for package python-kerberos
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
%bcond_without test
Name:           python-kerberos
Version:        1.3.1
Release:        2.3
Summary:        Kerberos high-level interface
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/apple/ccs-pykerberos
Source:         https://files.pythonhosted.org/packages/source/k/kerberos/kerberos-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/apple/ccs-pykerberos/master/LICENSE.txt
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(krb5)
# https://github.com/02strich/pykerberos/issues/17
Conflicts:      python-pykerberos
%python_subpackages

%description
A high-level wrapper for Kerberos (GSSAPI) operations.
The goal is to avoid having to build a module that wraps
the entire Kerberos.framework, and instead offer a limited set of
functions that do what is needed for client/server Kerberos
authentication based on <http://www.ietf.org/rfc/rfc4559.txt>.

%prep
%setup -q -n kerberos-%{version}
cp %{SOURCE1} .

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%doc README.md
%{python_sitearch}/*
%license LICENSE.txt

%changelog
* Tue May  9 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Mon Mar 29 2021 Antonio Larrosa <alarrosa@suse.com>
- Update to 1.3.1
  * Stop leaking context objects
  * Correct pointer alignment
* Fri Nov 13 2020 Johannes Grassler <johannes.grassler@suse.com>
- Add Conflicts: with python-pykerberos for mutual Conflicts: relation
* Thu Nov 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Do not pull in the mini package but rely on pkgconfig sorting
* Wed May 15 2019 svasudevan@suse.com
- Update to 1.3.0
  * no changelog available
  * added the license file
* Wed Dec 20 2017 dmueller@suse.com
- update to 1.2.5
  * no changelog available
- convert to singlespec
- drop 0001-Initialise-pydelegatestate-variable-to-NULL.patch:
  already upstream
* Wed Jul 15 2015 hguo@suse.com
- Add: 0001-Initialise-pydelegatestate-variable-to-NULL.patch
  Fix segmentation fault in authGSSClientInit caused by a NULL value
  of pydelegatestate.
* Fri May 29 2015 hguo@suse.com
- New package.
